Last Comment Bug 423182 - changes the default MOZ_ZIP_FORMAT from .tar.gz to .zip
: changes the default MOZ_ZIP_FORMAT from .tar.gz to .zip
Status: RESOLVED FIXED
: fixed1.8.1.15
Product: SeaMonkey
Classification: Client Software
Component: Build Config (show other bugs)
: unspecified
: x86 BeOS
: -- enhancement (vote)
: ---
Assigned To: mmadia
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-15 12:16 PDT by mmadia
Modified: 2008-04-04 13:34 PDT (History)
7 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
changes MOZ_ZIP_FORMAT to default to .zip on BeOS (1.02 KB, patch)
2008-03-15 12:27 PDT, mmadia
benjamin: review-
Details | Diff | Splinter Review
replaced elif with else, ifeq, ..., endif (1.03 KB, patch)
2008-03-29 17:38 PDT, mmadia
benjamin: review+
dveditz: approval1.8.1.15+
mbeltzner: approval1.9+
Details | Diff | Splinter Review

Description mmadia 2008-03-15 12:16:59 PDT
User-Agent:       Mozilla/5.0 (BeOS; U; BeOS BePC; en-US; rv:1.8.1.13pre) Gecko/20080308 SeaMonkey/1.1.9pre
Build Identifier: Mozilla/5.0 (BeOS; U; BeOS BePC; en-US; rv:1.8.1.13pre) Gecko/20080308 SeaMonkey/1.1.9pre

As zip's are currently the only archive format that support BFS attributes, MOZ_ZIP_FORMAT should default to .zip for BeOS.


Reproducible: Always

Steps to Reproduce:
1.
2.
3.
Comment 1 mmadia 2008-03-15 12:27:08 PDT
Created attachment 309676 [details] [diff] [review]
changes MOZ_ZIP_FORMAT to default to .zip on BeOS
Comment 2 mmadia 2008-03-26 03:10:37 PDT
review request set to benjamin-smedbergs.us  
does anything else need to be done?
Comment 3 Benjamin Smedberg [:bsmedberg] 2008-03-27 09:15:00 PDT
Comment on attachment 309676 [details] [diff] [review]
changes MOZ_ZIP_FORMAT to default to .zip on BeOS

There is no "elif" in GNU make, I'm almost certain.
Comment 4 Ted Mielczarek [:ted.mielczarek] 2008-03-27 09:45:32 PDT
The GNU make manual says you can do:
ifdef foo
else ifdef foo
endif

or similar things.
http://www.gnu.org/software/make/manual/make.html#Conditional-Syntax
Comment 5 Benjamin Smedberg [:bsmedberg] 2008-03-27 10:27:52 PDT
That syntax was apparently added with make 3.80... officially we still support 3.79 for 1.9.
Comment 6 mmadia 2008-03-29 17:38:31 PDT
Created attachment 312546 [details] [diff] [review]
replaced elif  with  else, ifeq, ..., endif
Comment 7 Doug Shelton 2008-04-01 12:24:44 PDT
Hopefully these changes will also work for the 1.8 branch, since this is where most BeOS activity is currently taking place.
Comment 8 Mike Beltzner [:beltzner, not reading bugmail] 2008-04-03 16:00:53 PDT
Comment on attachment 312546 [details] [diff] [review]
replaced elif  with  else, ifeq, ..., endif

a1.9=beltzner
Comment 9 Daniel Veditz [:dveditz] 2008-04-03 18:09:18 PDT
Comment on attachment 312546 [details] [diff] [review]
replaced elif  with  else, ifeq, ..., endif

approved for 1.8.1.14, a=dveditz for release-drivers.
Comment 10 mmadia 2008-04-04 03:25:31 PDT
requesting checkin on trunk and branch 1_8
Comment 11 :Gavin Sharp [email: gavin@gavinsharp.com] 2008-04-04 13:34:13 PDT
mozilla/toolkit/mozapps/installer/packager.mk 	1.56
mozilla/toolkit/mozapps/installer/packager.mk 	1.16.2.18

Note You need to log in before you can comment on or make changes to this bug.